<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<!doctype html>
<html lang="fr_FR" class="no-js fullscreen" ng-app="devApp">
<head>
    <meta charset="utf-8">
    <title>XPath editor</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css" />
    <link rel="stylesheet" href="styles/styles.css">
    <style>
        body { background: #CCC; }
    </style>
</head>
<body>

    <div class="container">
        <div class="row">
            <div class="col-lg-4">
                <form class="form-horizontal">
                    <div class="form-group">
                        <label class="col-sm-2 control-label">Label</label>
                        <div class="col-sm-10">
                            <xpath-input ng-model="xpath" schema="schema" selector="value" placeholder="Ajouter un chemin"></xpath-input>
                            {{ xpath }}
                        </div>
                    </div>
                </form>
            </div>
        </div>

    </div>

    <script type="text/javascript" src="scripts/app.js"></script>
    <script>
        var devApp = angular.module('devApp', ['xpath-editor']).
            run(function($rootScope, $http) {
                //$rootScope.xpath = {"type": "xquery", "expr": "for $i in tif:DublinCore\t\nreturn $i"};
                $http.get('schema.json').then(function(response) {
                    $rootScope.schema = response.data;
                });
            });

        function getScope() {
            return angular.element("body").scope();
        }
    </script>
</body>
</html>
